Bug 43425 - Non-compliant annotations
Non-compliant annotations
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Servlet & JSP API
6.0.14
Other other
: P2 major (vote)
: default
Assigned To: Tomcat Developers Mailing List
: PatchAvailable
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-09-18 21:33 UTC by Dain Sundstrom
Modified: 2008-05-01 13:13 UTC (History)
0 users



Attachments
Patch against http://svn.apache.org/repos/asf/tomcat/tc6.0.x/trunk (2.71 KB, patch)
2007-09-18 21:36 UTC, Dain Sundstrom
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dain Sundstrom 2007-09-18 21:33:56 UTC
A few of the annotations have compliance problem.

javax.annotation.security.DenyAll
  @Target should only be METHOD
javax.ejb.EJB
  missing description property
javax.persistence.PersistenceContext
  missing properties property and associated PersistenceProperty annotation class

The annotations can be verified by checking the JavaEE5 javadocs at http://java.sun.com/javaee/5/
docs/api/

I will post a patch to correct these problems.
Comment 1 Dain Sundstrom 2007-09-18 21:36:04 UTC
Created attachment 20853 [details]
Patch against http://svn.apache.org/repos/asf/tomcat/tc6.0.x/trunk
Comment 2 Mark Thomas 2008-04-25 15:56:06 UTC
Patch has been applied to trunk and proposed for 6.0.x
Many thanks for the patch.
Comment 3 Mark Thomas 2008-05-01 13:13:01 UTC
This patch has been committed for 6.0.x and will be in 6.0.17 onwards.